#! /usr/local/bin/ruby
# vi:ts=4:sw=4

require './esd.so'

esd = ESD::open( NIL);

File::open( '/home/kgt/th-33.wav'){ |f|
	sample = esd.cache( ESD::BITS16 | ESD::STEREO, 22050, f.read);
	sample.loop
}

sleep
